Bug 1414881 - delete action in /api/orchestration_templates results in error
Summary: delete action in /api/orchestration_templates results in error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.8.0
Assignee: Šimon Lukašík
QA Contact: Martin Kourim
URL:
Whiteboard: api:rest:stack
Depends On:
Blocks: 1434952
TreeView+ depends on / blocked
 
Reported: 2017-01-19 16:31 UTC by Martin Kourim
Modified: 2017-05-31 14:33 UTC (History)
7 users (show)

Fixed In Version: 5.8.0.8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1434952 (view as bug list)
Environment:
Last Closed: 2017-05-31 14:33:14 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Martin Kourim 2017-01-19 16:31:20 UTC
Description of problem:
Following requests

POST /api/orchestration_templates/:id
{ "action" : "delete" }

results in

{
  "error": {
    "kind": "internal_server_error",
    "message": "undefined method `keys' for nil:NilClass",
    "klass": "NoMethodError"
  }
}

The record is deleted.

Deleting record using DELETE method on /api/orchestration_templates/:id or POST method on /api/orchestration_templates doesn't produce any errors.

Version-Release number of selected component (if applicable):
5.7.0.17


How reproducible:
100%


Additional info:

Comment 3 Martin Kourim 2017-01-26 16:46:34 UTC
Relevant lines from api.log - http://pastebin.test.redhat.com/449736

Comment 4 Šimon Lukašík 2017-02-28 14:33:21 UTC
https://github.com/ManageIQ/manageiq/pull/14097

Comment 6 Martin Kourim 2017-04-03 15:37:54 UTC
Verified that on 5.8.0.8-alpha1 it's possible to do
POST /api/orchestration_templates/:id
{ "action" : "delete" }

Comment 8 errata-xmlrpc 2017-05-31 14:33:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.